1. Lnks
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
        GET
      • Create a new Lnk
        POST
      • Delete an existing Lnk
        POST
      • Edit an existing Lnk
        POST
      • Bulk reorder Lnks
        POST
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
      • Set profile colors
      • Set profile fonts
      • Set profile wallpapers
      • Apply a free theme
      • Reset theme to defaults
      • List available fonts
      • List available free themes
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • Lnk
    • SuccessResponse
    • StyleData
    • Font
    • ThemeSummary
  1. Lnks

Edit an existing Lnk

POST
https://lnk.bio/oauth/v1/lnk/edit
Update one or more properties of an existing Lnk. Only the fields included in the request are updated; omitted fields are left unchanged. To clear a field, pass an empty string as its value.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or
Body Params application/x-www-form-urlencodedRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://lnk.bio/oauth/v1/lnk/edit' \
--data-urlencode 'link_id=12345' \
--data-urlencode 'title=Updated title' \
--data-urlencode 'link=https://lnk.bio/new-destination' \
--data-urlencode 'image=https://cdn.lnk.bi/profilepics/-1302888_20220601196.png' \
--data-urlencode 'group_id=12345678' \
--data-urlencode 'schedule_from=2026-06-01T09:00:00+02:00' \
--data-urlencode 'schedule_to=2026-06-30T23:59:59+02:00' \
--data-urlencode 'position=3'

Responses

🟢200
application/json
Lnk updated successfully
Body

Example
{
    "status": true,
    "errors": [
        "string"
    ],
    "data": {
        "id": 12345,
        "url": "https://lnk.bio/username"
    }
}
🟠400BadRequest
🟠401Unauthorized
Modified at 2026-04-07 01:28:46
Previous
Delete an existing Lnk
Next
Bulk reorder Lnks
Built with